Subject: Re: [Bmcu] Bmcu Digest, Vol 144, Issue 2

From: Tony Earl <[email-masked]>
Date: Thu, 16 Jul 2020 09:12:10 -0600

Ron’s contact information is 
801-374-8881. 
Shop address is 44 East 400 South in Provo. It is located just off South University Avenue. 

Sent from my iPhone

> On Jul 14, 2020, at 12:00 PM, [email-masked] wrote:
> 
> Send Bmcu mailing list submissions to
>    [email-masked]
> 
> To subscribe or unsubscribe via the World Wide Web, visit
>    http://autox.team.net/mailman/listinfo/bmcu
> or, via email, send a message with subject or body 'help' to
>    [email-masked]
> 
> You can reach the person managing the list at
>    [email-masked]
> 
> When replying, please edit your Subject line so it is more specific
> than "Re: Contents of Bmcu digest..."
> 
> 
> Today's Topics:
> 
>   1. British shop in Utah? (Andrew Lundgren)
>   2. Re: British shop in Utah? (Mark J Bradakis)
>   3. Re: British shop in Utah? ([email-masked])
> 
> 
> ----------------------------------------------------------------------
> 
> Message: 1
> Date: Mon, 13 Jul 2020 19:24:44 -0600
> From: Andrew Lundgren <[email-masked]>
> To: British Club <[email-masked]>
> Subject: [Bmcu] British shop in Utah?
> Message-ID:
>    <CAKr3Jn0nYdbbY_Scfq4=P9vEoRyeSG=[email-masked]>
> Content-Type: text/plain; charset="utf-8"
> 
> I've got an intermittent ignition problem that I can't seem to get my head
> around.
> 
> I took it to Bailey's in SLC. Turns they don't seem to have anyone with LBC
> experience anymore. At least not anyone who was available to work on my
> car... $300, plus my cost to rent a transport later and I'm still having
> the same problem.
> 
> Are there any other shops in Utah that have a mechanic with MGB experience?
> 
> Thanks!
> 
> Andrew
> -------------- next part --------------
> An HTML attachment was scrubbed...
> URL: <http://autox.team.net/pipermail/bmcu/attachments/20200713/b6e01e6e/attachment-0001.htm>
> 
> ------------------------------
> 
> Message: 2
> Date: Mon, 13 Jul 2020 20:00:40 -0600
> From: Mark J Bradakis <[email-masked]>
> To: [email-masked]
> Subject: Re: [Bmcu] British shop in Utah?
> Message-ID: <[email-masked]>
> Content-Type: text/plain; charset=utf-8; format=flowed
> 
>> On 7/13/20 7:24 PM, Andrew Lundgren wrote:
>> I've got an intermittent ignition problem that I can't seem to get my 
>> head around.
>> 
>> I took it to Bailey's in SLC. Turns they don't seem to have anyone 
>> with LBC experience anymore. At least not anyone who was available to 
>> work on my car... $300, plus my cost to rent a transport later and I'm 
>> still having the same problem.
>> 
>> Are there any other shops in Utah that have a mechanic with MGB 
>> experience?
> 
> 
> Yep, when Mike Bailey decided he'd had enough and retired, moving up to 
> Klamath Falls that was pretty much the end of general British car 
> specialty shops in Utah.? Bill Davis and his Rovers are still around, I 
> think, haven't talked to him for a while, though I drive by the place on 
> 17th South on my way to and from my job at the Union Pacific Roper Yard.
> 
> There is certainly still a need for experienced LBC techs in the area.? 
> Almost makes me think renting a small shop somewhere and doing part time 
> work on these might be worth my while.
> 
> mjb.
> 
> 
> 
> 
> ------------------------------
> 
> Message: 3
> Date: Tue, 14 Jul 2020 08:37:07 -0600
> From: <[email-masked]>
> To: "'Mark J Bradakis'" <[email-masked]>,    <[email-masked]>
> Subject: Re: [Bmcu] British shop in Utah?
> Message-ID: <[email-masked]>
> Content-Type: text/plain;    charset="utf-8"
> 
> Ron Jensen at the Import Auto Center in Provo rebuilt my TR6 transmission and did a great job.  I would recommend his work.  Previously the Morgan bothers worked on my car.   
> 
> His shop is also one block from the light rail so you can drop off your car and train back to SLC.   It worked out well.   
> 
> Best Regards,
> 
> Ralph Sawyer
> 
> [email-masked]
> 
> Please consider your environmental responsibility before printing this e-mail. 
> 
> -----Original Message-----
> From: Bmcu <[email-masked]> On Behalf Of Mark J Bradakis
> Sent: Monday, July 13, 2020 8:01 PM
> To: [email-masked]
> Subject: Re: [Bmcu] British shop in Utah?
> 
>> On 7/13/20 7:24 PM, Andrew Lundgren wrote:
>> I've got an intermittent ignition problem that I can't seem to get my 
>> head around.
>> 
>> I took it to Bailey's in SLC. Turns they don't seem to have anyone 
>> with LBC experience anymore. At least not anyone who was available to 
>> work on my car... $300, plus my cost to rent a transport later and I'm 
>> still having the same problem.
>> 
>> Are there any other shops in Utah that have a mechanic with MGB 
>> experience?
> 
> 
> Yep, when Mike Bailey decided he'd had enough and retired, moving up to Klamath Falls that was pretty much the end of general British car specialty shops in Utah.  Bill Davis and his Rovers are still around, I think, haven't talked to him for a while, though I drive by the place on 17th South on my way to and from my job at the Union Pacific Roper Yard.
> 
> There is certainly still a need for experienced LBC techs in the area. Almost makes me think renting a small shop somewhere and doing part time work on these might be worth my while.
> 
> mjb.
> 
> 
> _______________________________________________
> [email-masked]
> Donate: http://www.team.net/donate.html
> Archive: http://www.team.net/archive
> 
> Unsubscribe/Manage: http://autox.team.net/mailman/options/bmcu/[email-masked]
> 
> 
> 
> ------------------------------
> 
> Subject: Digest Footer
> 
> _______________________________________________
> Bmcu mailing list
> [email-masked]
> http://autox.team.net/mailman/listinfo/bmcu
> 
> 
> ------------------------------
> 
> End of Bmcu Digest, Vol 144, Issue 2
> ************************************
_______________________________________________
[email-masked]
Donate: http://www.team.net/donate.html
Archive: http://www.team.net/archive

Unsubscribe/Manage: http://autox.team.net/mailman/options/bmcu/[email-masked]